Loading...
Searching...
No Matches
ranges::actions::take_while_fn Struct Reference

## Public Member Functions

template<typename Fun > requires (!range<Fun>)
constexpr auto | operator() (Fun fun) const
template<typename Rng , typename Fun > requires forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, sentinel_t<Rng>> && indirect_unary_predicate<Fun, iterator_t<Rng>>
Rng | operator() (Rng &&rng, Fun fun) const

## Related Symbols

(Note that these are not member symbols.)
constexpr take_while_fn | take_while {}